.TH edoc_layout 3 "edoc  0.7.6.4" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
edoc_layout \- The standard HTML layout module for EDoc\&.
.SH DESCRIPTION
.LP
The standard HTML layout module for EDoc\&. See the edoc module for details on usage\&.

.SH EXPORTS
.LP
.B
module(Element, Options) -> term()
.br
.RS
.LP
The layout function\&.
.LP
Options to the standard layout: 
.RS 2
.TP 4
.B
\fI{index_columns, integer()}\fR:
Specifies the number of column pairs used for the function index tables\&. The default value is 1\&. 
.TP 4
.B
\fI{stylesheet, string()}\fR:
Specifies the URI used for referencing the stylesheet\&. The default value is \fI"stylesheet\&.css"\fR\&. If an empty string is specified, no stylesheet reference will be generated\&. 
.TP 4
.B
\fI{sort_functions, bool()}\fR:
If \fItrue\fR, the detailed function descriptions are listed by name, otherwise they are listed in the order of occurrence in the source file\&. The default value is \fItrue\fR\&. 
.TP 4
.B
\fI{xml_export, Module::atom()}\fR:
Specifies an xmerl callback module to be used for exporting the documentation\&. See xmerl:export_simple/3 for details\&. 
.RE
.LP

.LP
\fISee also:\fR edoc:layout/2\&.
.RE
.LP
.B
overview(E, Options) -> term()
.br
.RS
.RE
.LP
.B
package(E, Options) -> term()
.br
.RS
.RE
.LP
.B
type(E) -> term()
.br
.RS
.RE
.SH SEE ALSO
.LP
edoc
